Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui.hibernate
Class SessionManager

    java.lang.Object
      hibergui.hibernate.SessionManager

    public class SessionManager

extends java.lang.Object

Field Summary
`private static SessionManager` | `instance`
`private org.hibernate.Session` | `session`
`private org.hibernate.SessionFactory` | `sf`

Constructor Summary
`private` | `SessionManager(org.hibernate.cfg.Configuration conf)`

Method Summary
`void` | `close()`
`org.hibernate.Session` | `getSession()`
`static void` | `initialize()`
`static void` | `initialize(org.hibernate.cfg.Configuration conf)`
`static void` | `initialize(java.lang.String confFile)`
`static boolean` | `initialized()`
`static SessionManager` | `instance()`
`java.util.List` | `list(java.lang.String hql)`
`static org.hibernate.Session` | `session()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sf

    private org.hibernate.SessionFactory sf

### session

    private org.hibernate.Session session

### instance

    private static SessionManager instance

Constructor Detail

### SessionManager

    private SessionManager(org.hibernate.cfg.Configuration conf)

Method Detail

### getSession

    public org.hibernate.Session getSession()

### close

    public void close()

### initialize

    public static void initialize()

### initialize

    public static void initialize(java.lang.String confFile)

### initialize

    public static void initialize(org.hibernate.cfg.Configuration conf)

### initialized

    public static boolean initialized()

### instance

    public static SessionManager instance()

### session

    public static org.hibernate.Session session()

### list

    public java.util.List list(java.lang.String hql)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD